Loading...
Searching...
No Matches
mdds::mtv::standard_element_blocks_traits Struct Reference
Inheritance diagram for mdds::mtv::standard_element_blocks_traits:

## Public Types

using | block_funcs
Public Types inherited from mdds::mtv::default_traits
using | event_func = empty_event_func
using | exec_policy = default_exec_policy
using | block_funcs = element_block_funcs<>

## Additional Inherited Members

Static Public Attributes inherited from mdds::mtv::default_traits
static constexpr lu_factor_t | loop_unrolling = lu_factor_t::lu16

## Member Typedef Documentation

## block_funcs

using mdds::mtv::standard_element_blocks_traits::block_funcs

Initial value:
element_block_funcs<
boolean_element_block, int8_element_block, uint8_element_block, int16_element_block, uint16_element_block,
int32_element_block, uint32_element_block, int64_element_block, uint64_element_block, float_element_block,
double_element_block, string_element_block>
mdds::mtv::element_block_funcs
Definition block_funcs.hpp:43